Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036851
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2017-09-14 08:352017-12-13 15:10
ReporterlmonrealView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR18Q1
StatusclosedFix in branchFixed in SCM revisionc1cdfbc0e29d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036851: Pack discount is not working with Non-Grouped products

DescriptionPack discount is not working with Non-Grouped products
Steps To Reproduce
1. Login in webpos
2. There is a pack discount created that needs 2 units of Product A and 1 unit of product B. They are grouped products
3. Add them to ticket and pack is applied
4. Go to backend and select product A (the one that needs 2 units for Pack) and set it to Non-Grouped
5. Refresh, delete ticket and repeat ticket of the pack again: In this case pack is NOT applied
TagsNo tags attached.
Attached Filespng file icon pack not applied.PNG [^] (100,304 bytes) 2017-09-14 08:44


png file icon pack applied.PNG [^] (137,237 bytes) 2017-09-14 08:44


diff file icon patch_issue_36851.diff [^] (4,608 bytes) 2017-10-02 17:44 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099863)
hgbot (developer)
2017-10-11 15:16

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: c1cdfbc0e29d1642bd10e7c9acc0569132e74dfd
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Sep 27 16:39:28 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/c1cdfbc0e29d1642bd10e7c9acc0569132e74dfd [^]

Fixed issue 36851: Pack discount is not working with Non-Grouped products

---
M web/org.openbravo.retail.discounts/js/promotion-pack.js
---
(0100781)
jorge-garcia (developer)
2017-11-28 11:44

Fix reviewed and tested
(0100990)
hgbot (developer)
2017-12-12 14:35

Repository: tools/automation/pi-mobile
Changeset: 8e7a9ec78a0d10ffdf0b54052365cb57aa3823d7
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Oct 11 09:03:07 2017 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/8e7a9ec78a0d10ffdf0b54052365cb57aa3823d7 [^]

Verifies issue 36851: Pack discount is not working with Non-Grouped products

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I36851_PackDiscountIsNotWorkingWithNonGroupedProducts.java
---
(0101014)
hgbot (developer)
2017-12-13 15:10

Repository: tools/automation/pi-mobile
Changeset: 132e61e6c2a8a3dedf33c7acc23ea59d09be5a49
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Dec 13 09:07:57 2017 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/132e61e6c2a8a3dedf33c7acc23ea59d09be5a49 [^]

Verifies issue 36851: Pack discount is not working with Non-Grouped products

-Backed out changeset: 8e7a9ec78a0d

---
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I36851_PackDiscountIsNotWorkingWithNonGroupedProducts.java
---

- Issue History
Date Modified Username Field Change
2017-09-14 08:35 lmonreal New Issue
2017-09-14 08:35 lmonreal Assigned To => Retail
2017-09-14 08:35 lmonreal Triggers an Emergency Pack => No
2017-09-14 08:44 lmonreal File Added: pack not applied.PNG
2017-09-14 08:44 lmonreal File Added: pack applied.PNG
2017-09-21 23:43 rqueralta Assigned To Retail => rqueralta
2017-10-02 17:44 rqueralta File Added: patch_issue_36851.diff
2017-10-11 15:16 hgbot Checkin
2017-10-11 15:16 hgbot Note Added: 0099863
2017-10-11 15:16 hgbot Status new => resolved
2017-10-11 15:16 hgbot Resolution open => fixed
2017-10-11 15:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/c1cdfbc0e29d1642bd10e7c9acc0569132e74dfd [^]
2017-11-28 11:44 jorge-garcia Review Assigned To => jorge-garcia
2017-11-28 11:44 jorge-garcia Note Added: 0100781
2017-11-28 11:44 jorge-garcia Status resolved => closed
2017-11-28 11:44 jorge-garcia Fixed in Version => RR18Q1
2017-12-12 14:35 hgbot Checkin
2017-12-12 14:35 hgbot Note Added: 0100990
2017-12-13 15:10 hgbot Checkin
2017-12-13 15:10 hgbot Note Added: 0101014


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker